Bug 188506 - [PATCH] devel/py-kqueue: staging
Summary: [PATCH] devel/py-kqueue: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-12 12:40 UTC by Bartek Rutkowski
Modified: 2014-04-15 02:30 UTC (History)
1 user (show)

See Also:


Attachments
py-kqueue-1.4.patch (907 bytes, patch)
2014-04-12 12:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-12 12:40:00 UTC
- Staging

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-kqueue/1.4_2/

Port maintainer (ports2@dclg.ca) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-12 12:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-12 12:40:06 UTC
Maintainer of devel/py-kqueue,

Please note that PR ports/188506 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188506

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-12 12:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-15 02:28:18 UTC
Author: swills
Date: Tue Apr 15 01:28:15 2014
New Revision: 351299
URL: http://svnweb.freebsd.org/changeset/ports/351299
QAT: https://qat.redports.org/buildarchive/r351299/

Log:
  - Stage
  
  PR:		ports/188506
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@ (blanket)

Modified:
  head/devel/py-kqueue/Makefile

Modified: head/devel/py-kqueue/Makefile
==============================================================================
--- head/devel/py-kqueue/Makefile	Tue Apr 15 01:24:11 2014	(r351298)
+++ head/devel/py-kqueue/Makefile	Tue Apr 15 01:28:15 2014	(r351299)
@@ -19,7 +19,6 @@ FILES=			kqsyscallmodule.so KQueue.py KQ
 PLIST_FILES=		${FILES:S+^+%%PYTHON_SITELIBDIR%%/+g}
 MAKE_ENV=		MAINCC=${CC}
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 post-patch:
@@ -37,9 +36,9 @@ post-build:
 	${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py ${WRKSRC}
 
 do-install:
-	${MKDIR} ${PYTHON_SITELIBDIR}
-	${INSTALL_DATA} ${WRKSRC}/kqsyscallmodule.so ${PYTHON_SITELIBDIR}/
-	${INSTALL_DATA} ${WRKSRC}/KQueue.py ${PYTHON_SITELIBDIR}/
-	${INSTALL_DATA} ${WRKSRC}/KQueue.pyc ${PYTHON_SITELIBDIR}/
+	${MKDIR} ${STAGEDIR}${PYTHON_SITELIBDIR}
+	${INSTALL_DATA} ${WRKSRC}/kqsyscallmodule.so ${STAGEDIR}${PYTHON_SITELIBDIR}/
+	${INSTALL_DATA} ${WRKSRC}/KQueue.py ${STAGEDIR}${PYTHON_SITELIBDIR}/
+	${INSTALL_DATA} ${WRKSRC}/KQueue.pyc ${STAGEDIR}${PYTHON_SITELIBDIR}/
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-04-15 02:28:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!